I have built a brute force solution to this problem but of course time limit exceeded monster has appeared!
please can anyone explain a solution or just give a hint for this problem, i have read the editorial but i didn't understand what is written.
| # | User | Rating |
|---|---|---|
| 1 | Benq | 3676 |
| 2 | Kevin114514 | 3659 |
| 3 | jiangly | 3640 |
| 4 | turmax | 3450 |
| 5 | tourist | 3382 |
| 6 | strapple | 3360 |
| 7 | Um_nik | 3354 |
| 8 | squareOf105 | 3348 |
| 9 | maroonrk | 3312 |
| 10 | idontwannadothis…e | 3191 |
| # | User | Contrib. |
|---|---|---|
| 1 | Qingyu | 155 |
| 2 | nik_exists | 151 |
| 3 | maspy | 149 |
| 4 | AmShZ | 145 |
| 5 | Um_nik | 143 |
| 6 | Errichto | 139 |
| 7 | BledDest | 136 |
| 8 | adamant | 134 |
| 9 | maroonrk | 132 |
| 10 | cry | 130 |
I have built a brute force solution to this problem but of course time limit exceeded monster has appeared!
please can anyone explain a solution or just give a hint for this problem, i have read the editorial but i didn't understand what is written.
recently i have been studying graph theory from competitive programming book ,in applications of DFS there was articulation points and bridges . He defines other than visited array a another one here is the statement.
[This algorithm maintains two numbers: dfs_num(u) and dfs_low(u). Here, dfs_num(u) stores the iteration counter when the vertex u is visited for the first time and not just for distinguishing DFS_WHITE versus DFS_GRAY/DFS_BLACK. The other number dfs_low(u) stores the lowest dfs_num reachable from DFS spanning sub tree of u. Initially dfs_low(u) = dfs_num(u) when vertex u is first visited. Then, dfs_low(u) can only be made smaller if there is a cycle (some back edges exist). Note that we do not update dfs_low(u) with back edge (u, v) if v is a direct parent of u. ]
please anyone give an explanation for this part.
| Name |
|---|


